=== src/zabbix_proxy/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# src/zabbix_proxy/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/zabbix
pkglibdir = $(libdir)/zabbix
pkgincludedir = $(includedir)/zabbix
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
sbin_PROGRAMS = zabbix_proxy$(EXEEXT)
subdir = src/zabbix_proxy
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_lib_mysql.m4 \
	$(top_srcdir)/m4/ax_lib_postgresql.m4 \
	$(top_srcdir)/m4/ax_lib_sqlite3.m4 $(top_srcdir)/m4/jabber.m4 \
	$(top_srcdir)/m4/ldap.m4 $(top_srcdir)/m4/libcurl.m4 \
	$(top_srcdir)/m4/libiodbc.m4 $(top_srcdir)/m4/libunixodbc.m4 \
	$(top_srcdir)/m4/netsnmp.m4 $(top_srcdir)/m4/openipmi.m4 \
	$(top_srcdir)/m4/sqlora8.m4 $(top_srcdir)/m4/ucdsnmp.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(sbindir)"
sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(sbin_PROGRAMS)
am_zabbix_proxy_OBJECTS = zabbix_proxy-servercomms.$(OBJEXT) \
	zabbix_proxy-events.$(OBJEXT) zabbix_proxy-zlog.$(OBJEXT) \
	zabbix_proxy-proxy.$(OBJEXT)
zabbix_proxy_OBJECTS = $(am_zabbix_proxy_OBJECTS)
zabbix_proxy_DEPENDENCIES = heart/libzbxheart.a \
	$(top_srcdir)/src/zabbix_server/dbsyncer/libzbxdbsyncer.a \
	$(top_srcdir)/src/zabbix_server/discoverer/libzbxdiscoverer.a \
	housekeeper/libzbxhousekeeper.a \
	$(top_srcdir)/src/zabbix_server/httppoller/libzbxhttppoller.a \
	proxyconfig/libzbxproxyconfig.a \
	$(top_srcdir)/src/zabbix_server/pinger/libzbxpinger.a \
	$(top_srcdir)/src/zabbix_server/poller/libzbxpoller.a \
	$(top_srcdir)/src/zabbix_server/trapper/libzbxtrapper.a \
	$(top_srcdir)/src/zabbix_server/nodewatcher/libzbxnodewatcher.a \
	datasender/libzbxdatasender.a \
	$(top_srcdir)/src/libs/zbxsysinfo/libzbxserversysinfo.a \
	$(top_srcdir)/src/libs/zbxsysinfo/$(ARCH)/libspecsysinfo.a \
	$(top_srcdir)/src/libs/zbxsysinfo/common/libcommonsysinfo.a \
	$(top_srcdir)/src/libs/zbxsysinfo/simple/libsimplesysinfo.a \
	$(top_srcdir)/src/libs/zbxlog/libzbxlog.a \
	$(top_srcdir)/src/libs/zbxnix/libzbxnix.a \
	$(top_srcdir)/src/libs/zbxsys/libzbxsys.a \
	$(top_srcdir)/src/libs/zbxconf/libzbxconf.a \
	$(top_srcdir)/src/libs/zbxdbhigh/libzbxdbhigh.a \
	$(top_srcdir)/src/libs/zbxdb/libzbxdb.a \
	$(top_srcdir)/src/libs/zbxdbcache/libzbxdbcache.a \
	$(top_srcdir)/src/libs/zbxcommon/libzbxcommon.a \
	$(top_srcdir)/src/libs/zbxcrypto/libzbxcrypto.a \
	$(top_srcdir)/src/libs/zbxcomms/libzbxcomms.a \
	$(top_srcdir)/src/libs/zbxjson/libzbxjson.a \
	$(top_srcdir)/src/libs/zbxserver/libzbxserver.a \
	$(top_srcdir)/src/libs/zbxicmpping/libzbxicmpping.a
zabbix_proxy_LINK = $(CCLD) $(zabbix_proxy_CFLAGS) $(CFLAGS) \
	$(zabbix_proxy_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)/include
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(zabbix_proxy_SOURCES)
DIST_SOURCES = $(zabbix_proxy_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/mjaepel/zabbix_packages/zabbix-1.6.5/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/mjaepel/zabbix_packages/zabbix-1.6.5/missing --run tar
ARCH = linux
AUTOCONF = ${SHELL} /home/mjaepel/zabbix_packages/zabbix-1.6.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mjaepel/zabbix_packages/zabbix-1.6.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mjaepel/zabbix_packages/zabbix-1.6.5/missing --run automake-1.10
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2    -I/usr/include/postgresql    -I/usr/local/include -I/usr/lib/perl/5.8/CORE -I. -I/usr/include   -I/usr/include
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DB_CPPFLAGS =    -I/usr/include/postgresql
DB_LDFLAGS =    -L/usr/lib -lpq
DB_LIBS =    
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
IKSEMEL_CFLAGS = 
IKSEMEL_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
IODBC_CFLAGS = 
IODBC_LDFLAGS = 
IODBC_LIBS = 
JABBER_CPPFLAGS = 
JABBER_LDFLAGS = 
JABBER_LIBS = 
LDAP_CPPFLAGS = 
LDAP_LDFLAGS = 
LDFLAGS =   -L/usr/lib -lOpenIPMI -lOpenIPMIposix
LIBCURL_CFLAGS = 
LIBCURL_LDFLAGS = -lcurl -lcurl -lgssapi_krb5
LIBCURL_LIBS = -lcurl 
LIBOBJS = 
LIBS = -lm -lresolv 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/mjaepel/zabbix_packages/zabbix-1.6.5/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MYSQL_CFLAGS = 
MYSQL_CONFIG = no
MYSQL_LDFLAGS = 
MYSQL_LIBS = 
MYSQL_VERSION = 
OBJEXT = o
ODBC_CFLAGS = 
ODBC_LDFLAGS = 
ODBC_LIBS = 
OPENIPMI_CPPFLAGS = -I/usr/include
OPENIPMOPENIPMIFLAGS = 
ORACLE_CPPFLAGS = 
ORACLE_LDFLAGS = 
PACKAGE = zabbix
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PG_CONFIG = /usr/bin/pg_config
PKG_CONFIG = /usr/bin/pkg-config
POSTGRESQL_CPPFLAGS = -I/usr/include/postgresql
POSTGRESQL_LDFLAGS = -L/usr/lib -lpq
POSTGRESQL_VERSION = 8.3.7
PROXY_LDFLAGS =     -L/usr/lib -lpq -lcurl -lcurl -lgssapi_krb5  -L/usr/lib -lnetsnmp -lcrypto  -L/usr/lib -lnetsnmp -lcrypto
PROXY_LIBS =      -lcurl  -lnetsnmp 
RANLIB = ranlib
SERVER_LDFLAGS =     -L/usr/lib -lpq  -lcurl -lcurl -lgssapi_krb5  -L/usr/lib -lnetsnmp -lcrypto  -L/usr/lib -lnetsnmp -lcrypto
SERVER_LIBS =       -lcurl  -lnetsnmp 
SET_MAKE = 
SHELL = /bin/bash
SNMP_CFLAGS =  -I/usr/local/include -I/usr/lib/perl/5.8/CORE -I. -I/usr/include
SNMP_CPPFLAGS = 
SNMP_LDFLAGS =  -L/usr/lib -lnetsnmp -lcrypto
SNMP_LIBS = -lnetsnmp 
SQLITE3_CPPFLAGS = 
SQLITE3_LDFLAGS = 
SQLITE3_VERSION = 
SQLORA8_CPPFLAGS = 
SQLORA8_LDFLAGS = 
STRIP = 
UNIXODBC_CFLAGS = 
UNIXODBC_LDFLAGS = 
UNIXODBC_LIBS = 
VERSION = 1.6.5
_libcurl_config = 
_libnetsnmp_config = /usr/bin/net-snmp-config
_libodbc_config = 
abs_builddir = /home/mjaepel/zabbix_packages/zabbix-1.6.5/src/zabbix_proxy
abs_srcdir = /home/mjaepel/zabbix_packages/zabbix-1.6.5/src/zabbix_proxy
abs_top_builddir = /home/mjaepel/zabbix_packages/zabbix-1.6.5
abs_top_srcdir = /home/mjaepel/zabbix_packages/zabbix-1.6.5
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/mjaepel/zabbix_packages/zabbix-1.6.5/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ../..
top_srcdir = ../..
SUBDIRS = \
	heart \
	housekeeper \
	proxyconfig \
	datasender

zabbix_proxy_SOURCES = \
	servercomms.c servercomms.h \
	events.c events.h \
	zlog.c \
	proxy.c

zabbix_proxy_LDADD = \
	heart/libzbxheart.a \
	$(top_srcdir)/src/zabbix_server/dbsyncer/libzbxdbsyncer.a \
	$(top_srcdir)/src/zabbix_server/discoverer/libzbxdiscoverer.a \
	housekeeper/libzbxhousekeeper.a \
	$(top_srcdir)/src/zabbix_server/httppoller/libzbxhttppoller.a \
	proxyconfig/libzbxproxyconfig.a \
	$(top_srcdir)/src/zabbix_server/pinger/libzbxpinger.a \
	$(top_srcdir)/src/zabbix_server/poller/libzbxpoller.a \
	$(top_srcdir)/src/zabbix_server/trapper/libzbxtrapper.a \
	$(top_srcdir)/src/zabbix_server/nodewatcher/libzbxnodewatcher.a \
	datasender/libzbxdatasender.a \
	$(top_srcdir)/src/libs/zbxsysinfo/libzbxserversysinfo.a \
	$(top_srcdir)/src/libs/zbxsysinfo/$(ARCH)/libspecsysinfo.a \
	$(top_srcdir)/src/libs/zbxsysinfo/common/libcommonsysinfo.a \
	$(top_srcdir)/src/libs/zbxsysinfo/simple/libsimplesysinfo.a \
	$(top_srcdir)/src/libs/zbxlog/libzbxlog.a \
	$(top_srcdir)/src/libs/zbxnix/libzbxnix.a \
	$(top_srcdir)/src/libs/zbxsys/libzbxsys.a \
	$(top_srcdir)/src/libs/zbxconf/libzbxconf.a \
	$(top_srcdir)/src/libs/zbxdbhigh/libzbxdbhigh.a \
	$(top_srcdir)/src/libs/zbxdb/libzbxdb.a \
	$(top_srcdir)/src/libs/zbxdbcache/libzbxdbcache.a \
	$(top_srcdir)/src/libs/zbxcommon/libzbxcommon.a \
	$(top_srcdir)/src/libs/zbxcrypto/libzbxcrypto.a \
	$(top_srcdir)/src/libs/zbxcomms/libzbxcomms.a \
	$(top_srcdir)/src/libs/zbxjson/libzbxjson.a \
	$(top_srcdir)/src/libs/zbxserver/libzbxserver.a \
	$(top_srcdir)/src/libs/zbxicmpping/libzbxicmpping.a \
	     -lcurl  -lnetsnmp 

zabbix_proxy_LDFLAGS = \
	    -L/usr/lib -lpq -lcurl -lcurl -lgssapi_krb5  -L/usr/lib -lnetsnmp -lcrypto  -L/usr/lib -lnetsnmp -lcrypto

zabbix_proxy_CFLAGS = \
	-DZABBIX_DAEMON

all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/zabbix_proxy/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/zabbix_proxy/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
