=== debian/changelog ===
zabbix (1:1.6.5-2) unstable; urgency=low

  * Fixed Templates

 -- Marcel Jaepel <m.jaepel@plusserver.de>  Thu, 20 Aug 2009 11:50:11 +0200
