=== debian/watch ===
version=3
http://sf.net/zabbix/zabbix-(1.*)\.tar\.gz
